
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2004 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level3.core;

import org.w3c.dom.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
 *  Using replaceChild on a DocumentFragment node attempt to replace a CDATASection node with 
 *  a EntityReference and vice versa verify the data of the replaced nodes.
* @author IBM
* @author Neil Delima
* @see <a href="http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#ID-785887307">http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#ID-785887307</a>
*/
public final class nodereplacechild18 extends DOMTestCase {

   /**
    * Constructor.
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public nodereplacechild18(final DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);

    //
    //   check if loaded documents are supported for content type
    //
    String contentType = getContentType();
    preload(contentType, "hc_staff", true);
    }

   /**
    * Runs the test case.
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      DocumentFragment docFrag;
      EntityReference entRef;
      CDATASection cdata;
      CDATASection replacedCData;
      EntityReference replacedEref;
      String cdataName;
      String erefName;
      Node appendedChild;
      doc = (Document) load("hc_staff", true);
      docFrag = doc.createDocumentFragment();
      cdata = doc.createCDATASection("CDATASection");
      entRef = doc.createEntityReference("alpha");
      appendedChild = docFrag.appendChild(entRef);
      appendedChild = docFrag.appendChild(cdata);
      replacedCData = (CDATASection) docFrag.replaceChild(entRef, cdata);
      cdataName = replacedCData.getNodeValue();
      assertEquals("nodereplacechild18_1", "CDATASection", cdataName);
      replacedEref = (EntityReference) docFrag.replaceChild(cdata, entRef);
      erefName = replacedEref.getNodeName();
      assertEquals("nodereplacechild18_2", "alpha", erefName);
      }
   /**
    *  Gets URI that identifies the test.
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level3/core/nodereplacechild18";
   }
   /**
    * Runs this test from the command line.
    * @param args command line arguments
    */
   public static void main(final String[] args) {
        DOMTestCase.doMain(nodereplacechild18.class, args);
   }
}

